Bug 1444937 - doc RFE: Release note for updated hash algorithm when generating certificates and public key fingerprints
Summary: doc RFE: Release note for updated hash algorithm when generating certificates...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marc Muehlfeld
QA Contact:
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 15:00 UTC by Marc Muehlfeld
Modified: 2019-03-06 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
IdM now generates SHA-256 certificate and public key fingerprints Previously, Identity Management (IdM) used the MD5 hash algorithm when generating fingerprints for certificates and public keys. To increase security, IdM now uses the SHA-256 algorithm in the mentioned scenario.
Clone Of:
Environment:
Last Closed: 2017-05-05 12:36:12 UTC


Attachments (Terms of Use)

Description Marc Muehlfeld 2017-04-24 15:00:09 UTC
While FIPS support was implemented in BZ#1125174, MD5 was replaced with SHA-256 for generating certificate and public key fingerprints.

However, this default was changed in IPA in general and not only if FIPS mode is enabled. For this reason, this should get an individual Release Note in 7.4.


Note You need to log in before you can comment on or make changes to this bug.